{% extends 'layout/templates.html' %}
{% load static %}
{% block judul %}Subscribe{% endblock %}
{% block content %}

    <!-- Header -->
    <header class="masthead d-flex">
            <div class="container-fluid text-right">
                <div class="row my-contact">
                    <div class="col-md-8 img-banner"></div>
                    <div class="col-md-12 text-banner-contact page-header" style="position: absolute;">
                        <h1 class="mb-1">My Subscriber</h1>
                        <h5>HEY!</h5>
                    </div>
                </div>
            </div>
            <div class="overlay"></div>
        </header>

        <!-- Subscribers List-->
        <section class="table-subs">
            <table class="table table-striped" id="tbl_subs"  style="text-align:center">
                <thead>
                    <tr>
                        <th>Username</th>
                        <th>Email</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </section>
        
    <script>
        $(document).ready(function () {
            $.ajax({
                method: "GET",
                url: "subs_list_json",
                success: function (response) {
                    var array = response.results
                    if (array.length === 0) {
                        $('#list-subs').append('<span class="list-group-item alert alert-danger text-center" role="alert"> Tidak ada teman di dalam daftar teman Anda</span>')
                    }
                    else {
                        for (var i = 0; i < array.length; i++) {
                            var button = '<button type="button" class="pull-right btn btn-xs btn-danger"' + 'onClick="deleteSubs(' + "'" + array[i].email + "'" +')">' + '&times; Unsubscribe' + '</button>' + '</div>';
                            var html = '<tr>' +
                                        '<td>' + array[i].name + '</td>' + 
                                        '<td>' + array[i].email + '</td>' + 
                                        '<td>' + button + '</td>' + '</tr>';
                            $('tbody').append(html);
                        }
                    }
                },
                error: function(error){
                    alert("no one :') ")
                }
            });
        });

        var deleteSubs = function(email_subs){
          $.ajax({
            method :"POST",
            url : "delete_subs",
            data : {email: email_subs},
            success: function(response){
                $("#tbl_subs td").remove()
                 var array = response.results
                    if (array.length === 0) {
                        $('#list-subs').append('<span class="list-group-item alert alert-danger text-center" role="alert"> Tidak ada teman di dalam daftar teman Anda</span>')
                    }
                    else {
                        for (var i = 0; i < array.length; i++) {
                            var button = '<button type="button" class="pull-right btn btn-xs btn-danger"' + 'onClick="deleteSubs(' + "'" + array[i].email + "'" +')">' + '&times; Unsubscribe' + '</button>' + '</div>';
                            var html = '<tr>' +
                                        '<td>' + array[i].name + '</td>' + 
                                        '<td>' + array[i].email + '</td>' + 
                                        '<td>' + button + '</td>' + '</tr>';
                            $('tbody').append(html);
                        }
                    }
            }
          });
        }
    </script>
{% endblock %}


